## WebKitDOMPerformanceTiming

WebKitDOMPerformanceTiming

## Functions

guint64 | webkit_dom_performance_timing_get_navigation_start ()
guint64 | webkit_dom_performance_timing_get_unload_event_start ()
guint64 | webkit_dom_performance_timing_get_unload_event_end ()
guint64 | webkit_dom_performance_timing_get_redirect_start ()
guint64 | webkit_dom_performance_timing_get_redirect_end ()
guint64 | webkit_dom_performance_timing_get_fetch_start ()
guint64 | webkit_dom_performance_timing_get_domain_lookup_start ()
guint64 | webkit_dom_performance_timing_get_domain_lookup_end ()
guint64 | webkit_dom_performance_timing_get_connect_start ()
guint64 | webkit_dom_performance_timing_get_connect_end ()
guint64 | webkit_dom_performance_timing_get_secure_connection_start ()
guint64 | webkit_dom_performance_timing_get_request_start ()
guint64 | webkit_dom_performance_timing_get_response_start ()
guint64 | webkit_dom_performance_timing_get_response_end ()
guint64 | webkit_dom_performance_timing_get_dom_loading ()
guint64 | webkit_dom_performance_timing_get_dom_interactive ()
guint64 | webkit_dom_performance_timing_get_dom_content_loaded_event_start ()
guint64 | webkit_dom_performance_timing_get_dom_content_loaded_event_end ()
guint64 | webkit_dom_performance_timing_get_dom_complete ()
guint64 | webkit_dom_performance_timing_get_load_event_start ()
guint64 | webkit_dom_performance_timing_get_load_event_end ()

## Properties

guint64 | connect-end | Read
guint64 | connect-start | Read
guint64 | dom-complete | Read
guint64 | dom-content-loaded-event-end | Read
guint64 | dom-content-loaded-event-start | Read
guint64 | dom-interactive | Read
guint64 | dom-loading | Read
guint64 | domain-lookup-end | Read
guint64 | domain-lookup-start | Read
guint64 | fetch-start | Read
guint64 | load-event-end | Read
guint64 | load-event-start | Read
guint64 | navigation-start | Read
guint64 | redirect-end | Read
guint64 | redirect-start | Read
guint64 | request-start | Read
guint64 | response-end | Read
guint64 | response-start | Read
guint64 | secure-connection-start | Read
guint64 | unload-event-end | Read
guint64 | unload-event-start | Read

## Types and Values

| WebKitDOMPerformanceTiming

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMPerformanceTiming

## Description

## Functions

### webkit_dom_performance_timing_get_navigation_start ()

    guint64
    webkit_dom_performance_timing_get_navigation_start
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_unload_event_start ()

    guint64
    webkit_dom_performance_timing_get_unload_event_start
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_unload_event_end ()

    guint64
    webkit_dom_performance_timing_get_unload_event_end
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_redirect_start ()

    guint64
    webkit_dom_performance_timing_get_redirect_start
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_redirect_end ()

    guint64
    webkit_dom_performance_timing_get_redirect_end
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_fetch_start ()

    guint64
    webkit_dom_performance_timing_get_fetch_start
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_domain_lookup_start ()

    guint64
    webkit_dom_performance_timing_get_domain_lookup_start
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_domain_lookup_end ()

    guint64
    webkit_dom_performance_timing_get_domain_lookup_end
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_connect_start ()

    guint64
    webkit_dom_performance_timing_get_connect_start
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_connect_end ()

    guint64
    webkit_dom_performance_timing_get_connect_end
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_secure_connection_start ()

    guint64
    webkit_dom_performance_timing_get_secure_connection_start
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_request_start ()

    guint64
    webkit_dom_performance_timing_get_request_start
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_response_start ()

    guint64
    webkit_dom_performance_timing_get_response_start
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_response_end ()

    guint64
    webkit_dom_performance_timing_get_response_end
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_dom_loading ()

    guint64
    webkit_dom_performance_timing_get_dom_loading
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_dom_interactive ()

    guint64
    webkit_dom_performance_timing_get_dom_interactive
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_dom_content_loaded_event_start ()

    guint64
    webkit_dom_performance_timing_get_dom_content_loaded_event_start
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_dom_content_loaded_event_end ()

    guint64
    webkit_dom_performance_timing_get_dom_content_loaded_event_end
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_dom_complete ()

    guint64
    webkit_dom_performance_timing_get_dom_complete
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_load_event_start ()

    guint64
    webkit_dom_performance_timing_get_load_event_start
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

### webkit_dom_performance_timing_get_load_event_end ()

    guint64
    webkit_dom_performance_timing_get_load_event_end
                                   (WebKitDOMPerformanceTiming *self);

#### Parameters

self | A WebKitDOMPerformanceTiming |

#### Returns

A guint64

## Types and Values

### WebKitDOMPerformanceTiming

    typedef struct _WebKitDOMPerformanceTiming WebKitDOMPerformanceTiming;

## Property Details

### The `“connect-end”` property

      “connect-end”              guint64

read-only guint64 PerformanceTiming:connect-end.

Flags: Read

Default value: 0

### The `“connect-start”` property

      “connect-start”            guint64

read-only guint64 PerformanceTiming:connect-start.

Flags: Read

Default value: 0

### The `“dom-complete”` property

      “dom-complete”             guint64

read-only guint64 PerformanceTiming:dom-complete.

Flags: Read

Default value: 0

### The `“dom-content-loaded-event-end”` property

      “dom-content-loaded-event-end” guint64

read-only guint64 PerformanceTiming:dom-content-loaded-event-end.

Flags: Read

Default value: 0

### The `“dom-content-loaded-event-start”` property

      “dom-content-loaded-event-start” guint64

read-only guint64 PerformanceTiming:dom-content-loaded-event-start.

Flags: Read

Default value: 0

### The `“dom-interactive”` property

      “dom-interactive”          guint64

read-only guint64 PerformanceTiming:dom-interactive.

Flags: Read

Default value: 0

### The `“dom-loading”` property

      “dom-loading”              guint64

read-only guint64 PerformanceTiming:dom-loading.

Flags: Read

Default value: 0

### The `“domain-lookup-end”` property

      “domain-lookup-end”        guint64

read-only guint64 PerformanceTiming:domain-lookup-end.

Flags: Read

Default value: 0

### The `“domain-lookup-start”` property

      “domain-lookup-start”      guint64

read-only guint64 PerformanceTiming:domain-lookup-start.

Flags: Read

Default value: 0

### The `“fetch-start”` property

      “fetch-start”              guint64

read-only guint64 PerformanceTiming:fetch-start.

Flags: Read

Default value: 0

### The `“load-event-end”` property

      “load-event-end”           guint64

read-only guint64 PerformanceTiming:load-event-end.

Flags: Read

Default value: 0

### The `“load-event-start”` property

      “load-event-start”         guint64

read-only guint64 PerformanceTiming:load-event-start.

Flags: Read

Default value: 0

### The `“navigation-start”` property

      “navigation-start”         guint64

read-only guint64 PerformanceTiming:navigation-start.

Flags: Read

Default value: 0

### The `“redirect-end”` property

      “redirect-end”             guint64

read-only guint64 PerformanceTiming:redirect-end.

Flags: Read

Default value: 0

### The `“redirect-start”` property

      “redirect-start”           guint64

read-only guint64 PerformanceTiming:redirect-start.

Flags: Read

Default value: 0

### The `“request-start”` property

      “request-start”            guint64

read-only guint64 PerformanceTiming:request-start.

Flags: Read

Default value: 0

### The `“response-end”` property

      “response-end”             guint64

read-only guint64 PerformanceTiming:response-end.

Flags: Read

Default value: 0

### The `“response-start”` property

      “response-start”           guint64

read-only guint64 PerformanceTiming:response-start.

Flags: Read

Default value: 0

### The `“secure-connection-start”` property

      “secure-connection-start”  guint64

read-only guint64 PerformanceTiming:secure-connection-start.

Flags: Read

Default value: 0

### The `“unload-event-end”` property

      “unload-event-end”         guint64

read-only guint64 PerformanceTiming:unload-event-end.

Flags: Read

Default value: 0

### The `“unload-event-start”` property

      “unload-event-start”       guint64

read-only guint64 PerformanceTiming:unload-event-start.

Flags: Read

Default value: 0